org.eclipse.rap.rwt.widgets

## Class BrowserUtil

- java.lang.Object
- - org.eclipse.rap.rwt.widgets.BrowserUtil

Deprecated.
Use the methods on `Browser` instead

    @Deprecated
    public final class BrowserUtil
    extends java.lang.Object

Utility class to work with non-blocking browser script execution.

Since:
  2.0
See Also:
  `Browser`

### Method Summary

Methods
`static void` `evaluate(Browser browser, java.lang.String script, BrowserCallback browserCallback)` Deprecated. Use `Browser.evaluate( BrowserCallback )` instead

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### evaluate

    @Deprecated
    public static void evaluate(Browser browser,
                           java.lang.String script,
                           BrowserCallback browserCallback)

Deprecated. Use `Browser.evaluate( BrowserCallback )` instead
Executes the given script in a non-blocking way. The `browserCallback` is notified when the result from the operation is available.

Use this method instead of the `execute()` or `evaluate()` methods from the respective `Browser` widget when running in JEE_COMPATIBILITY mode.

This method will throw an IllegalStateException if called while another script is still pending to be executed.

Parameters:
  `browser` - the browser to execute the script, must not be `null`.
  `script` - the script to execute, must not be `null`.
  `browserCallback` - the callback to be notified when the result from the script execution is available, must not be `null`.
Throws:
  `java.lang.IllegalStateException` - when another script is already being executed.
See Also:
  `Browser`, `BrowserCallback`, `Application.OperationMode`

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0